Bug 90236 - svn-config fails
svn-config fails
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: subversion (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
http://subversion.tigris.org/issues/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 16:07 EDT by Crutcher Dunnavant
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-01 07:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Crutcher Dunnavant 2003-05-05 16:07:19 EDT
Description of problem:

svn-config is generated at config time, and ends up containing the following lines:
LIBS="$(abs_builddir)/neon/src/libneon.la  -lz -lxml2 -lz -lm 
-L/usr/src/redhat/BUILD/subversion-r4503/apr-util -laprutil-0 -lgdbm -ldb-4.0
-lexpat  -L/usr/src/redhat/BUILD/subversion-r4503/apr -lapr-0 -lm -lcrypt -lnsl
 -ldl -ldb "
INCLUDES="-I$(abs_srcdir)/neon/src  
-I/usr/src/redhat/BUILD/subversion-r4503/apr/include  
-I/usr/src/redhat/BUILD/subversion-r4503/apr-util/include "

The $(abs_builddir) and $(abs_srcdir) lines don't work outside of the build
envirnoment, and as such other programs cannot use svn-config to get all the
libs they need.
Comment 1 Joe Orton 2003-05-18 15:39:38 EDT
Thanks for the report.  I don't think svn-config is actually finished yet, so it
might be wise not to package it.

Are any applications actually using this script?

Note You need to log in before you can comment on or make changes to this bug.